defaults = {
    'apt': {
        'packages': {
            'vnstat': {},
            'vnstati': {},
        },
    },
    'vnstat': {
        'bandwidth': '1000',
    },
}


@metadata_reactor
def get_default_interface(metadata):
    interfaces = sorted(metadata.get('interfaces', {}).keys())

    if len(interfaces):
        return {
            'vnstat': {
                'interface': interfaces[0],
            },
        }

    return {}
